﻿.button-fab {
    position: fixed;
    right: 10px;
    bottom: 10px;
    box-shadow: 0 2px 10px #444;
}

.button-fab-option-hidden {
    position: fixed;
    right: 10px;
    box-shadow: 0 2px 5px #888;
    overflow: hidden;
    bottom: 10px;
    width: 32px;
    opacity: 0;
    z-index: -999;
}

.button-fab-option-1 {
    position: fixed;
    right: 10px;
    bottom: 60px;
    box-shadow: 0 2px 5px #888;
    overflow: hidden;
    opacity: 1;
    width: 150px;
    z-index: 0;
    animation: fab1 0.2s;
}

.button-fab-option-2 {
    position: fixed;
    right: 10px;
    bottom: 100px;
    box-shadow: 0 2px 5px #888;
    overflow: hidden;
    opacity: 1;
    width: 150px;
    z-index: 0;
    animation: fab2 0.2s;
}

@keyframes fab1 {
    0% {
        bottom: 10px;
        width: 32px;
        opacity: 0;
        z-index: -999;
    }

    50% {
        bottom: 60px;
        opacity: 1;
    }

    100% {
        opacity: 1;
        bottom: 60px;
        width: 150px;
        z-index: 100;
    }
}

@keyframes fab2 {
    0% {
        bottom: 10px;
        width: 32px;
        opacity: 0;
        z-index: -999;
    }

    50% {
        bottom: 100px;
        opacity: 1;
    }

    100% {
        opacity: 1;
        bottom: 100px;
        width: 150px;
        z-index: 100;
    }
}
